> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wandb.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# 데이터셋 생성

> 데이터셋 객체를 생성합니다.



## OpenAPI

````yaml /ko/weave/reference/service-api/openapi.json post /v2/{entity}/{project}/datasets
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /v2/{entity}/{project}/datasets:
    post:
      tags:
        - Datasets
      summary: 데이터셋 생성
      description: 데이터셋 객체를 생성합니다.
      operationId: dataset_create_v2__entity___project__datasets_post
      parameters:
        - in: path
          name: entity
          required: true
          schema:
            title: Entity
            type: string
        - in: path
          name: project
          required: true
          schema:
            title: Project
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DatasetCreateBody'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/DatasetCreateRes'
          description: 성공적인 응답
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: 검증 오류
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    DatasetCreateBody:
      properties:
        description:
          anyOf:
            - type: string
            - type: 'null'
          description: 이 데이터셋에 대한 설명
          title: Description
        name:
          anyOf:
            - type: string
            - type: 'null'
          description: 이 데이터셋의 이름입니다. 같은 이름의 데이터셋은 함께 버전 관리됩니다.
          title: Name
        rows:
          description: 데이터셋 행
          items:
            additionalProperties: true
            type: object
          title: Rows
          type: array
      required:
        - rows
      title: DatasetCreateBody
      type: object
    DatasetCreateRes:
      properties:
        digest:
          description: 생성된 데이터셋의 다이제스트
          title: Digest
          type: string
        object_id:
          description: 생성된 데이터셋의 ID
          title: Object Id
          type: string
        version_index:
          description: 생성된 데이터셋의 버전 인덱스
          title: Version Index
          type: integer
      required:
        - digest
        - object_id
        - version_index
      title: DatasetCreateRes
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    HTTPBasic:
      scheme: basic
      type: http
    HTTPBearer:
      scheme: bearer
      type: http

````